#include <stdio.h>
#include <stdlib.h>
#include "book.h"
void initialize(){	
	book library[MAX_BOOKS]={0,};
	user user_list[MAX_USERS]={0,};
}

void register_book(char * title, char * type){
/*	
	Register new book into extern book data type array library. At least the title and type should be given. 
	Index for the book should be generated automatically in the function according to the order that the book is registered.
	Index start from 1.
*/
}
void register_user(char * name){
/*
	Register new user into extern user data type array user_list. At least the name should be given.
	user_id for the individual should be generated automatically in the function according to the order that the user is registered.
	user_id start from 101.
*/

}
int index_book(char* title){
/* 	
	Return the index number of corresponding book.
	If the title is not accurate, return -1.
*/
}
int index_user(char* name){
/*
	Return the user_id of corresponding user.
	If the there is no data whose name is 'name', return -1.
*/
}
int query_book(char *category, char *condition, book ***result){
/*	
	Dynamically allocate the array in which the addresses of corresponding books are supposed to be stored, and fill the array properly. 
	Return the number of books in the result.
	The maximum number of results is 20.
*/
}

int borrow_book(int index, int user_id, int wait){
/*
	Mark the book "BORROWED". Make sure who borrowed it as well.
	If someone has already borrowed the book, based on the value wait, add the user into waiting list.
	If a user tries to borrow more than 5 books, return -1, rejecting the request.
	A book can hold only 5 waiters, thus if the number of waiting people exceeds 5, then return -2, notifiying too many waiters for this book.
*/
}

void return_book(int index){
/* 
	Return the book to library. If no one is waiting for the book, mark it as FREE.
	Else, if someone is waiting for the book, directly borrow the book to the first waiter, and modify waiting list.
*/
}

void print_books(book **list, char *category, int order, int count){
/* 
	Print books from the list based on the category and the order (0 for ascending, 1 for descending),
	The order should be arranged correctly. If NULL, default should be index, ascending
*/
}
