#define MAX_TITLE_LENGTH 40
#define MAX_USERS 40
#define MAX_BOOKS 100
#define NAME_MAX 20
#define BORROWED 0
#define QUERY_MAX 20
#define FREE 1
typedef struct _book{
	int index;
	char *title;
	int borrowed_by;  // user_id. 0 if no one holds this book.
	char *type;
	int status;
	int waiters[5];
} book;

typedef struct _user{
	char *name;
	int user_id;
	book *books_borrowing[4];
} user;

void initialize(void);
void register_book(char*, char *);
void register_user(char*);
int index_book(char *);
int index_user(char *);
int query_book(char *, char *, book ***);
int borrow_book(int, int, int);
void return_book(int);
void print_books(book **, char *, int, int);


void initilize(void);
void my_strcpy(char *, char *);
int my_strcmp(char *, char *);
int my_strin(char *, char *);
int my_strelen(char *);



extern book library[MAX_BOOKS];	
extern user user_list[MAX_USERS];	
